Bug 165606 - EMBARGOED CAN-2005-2101 langen2kvtml tempfile vulnerability
EMBARGOED CAN-2005-2101 langen2kvtml tempfile vulnerability
Product: Fedora
Classification: Fedora
Component: kdeedu (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-08-10 14:59 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-25 07:48:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed upstream patch (1.83 KB, patch)
2005-08-10 14:59 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-08-10 14:59:47 EDT
Ben Burton notified the KDE security team about several tempfile handling
related vulnerabilities in langen2kvtml, a conversion script for kvoctrain. The
script must be manually invoked.

The script uses known filenames in /tmp which allow an local attacker to
overwrite files writeable by the user invoking the conversion script.

This issue should also affect FC3
Comment 1 Josh Bressers 2005-08-10 14:59:49 EDT
Created attachment 117621 [details]
Proposed upstream patch
Comment 2 Ngo Than 2005-08-10 16:25:26 EDT
it's now fixed in kdeedu-3.4.2-0.fc4.2 (FC4) and kdeedu-3.4.2-0.fc3.2 (FC3)
Comment 3 Mark J. Cox (Product Security) 2005-10-25 07:48:49 EDT

Note You need to log in before you can comment on or make changes to this bug.